NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.SheetMetal.BendTaperBuilder Class Reference

Represents a Bend Taper feature builder More...

Inheritance diagram for NXOpen.Features.SheetMetal.BendTaperBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendTaperInputMethod { Angle, Distance, ToEnd }
 This enum represents the input methods for the bend taper. More...
 
enum  BendTaperSides { Both, Side1, Side2, Symmetric }
 This enum represents the taper sides options for the bend taper. More...
 
enum  BendTaperType { Linear, Tangent, Square }
 This enum represents the bend taper types for the bend taper. More...
 
enum  ChainingType { BendOnly, BendFace, BendFaceChain }
 This enum represents the chaining options for the bend taper. More...
 
enum  StartType { TaperFromBend, TaperFromWeb }
 This enum represents the start types for the bend taper. More...
 
enum  WebTaperType { None, Face, FaceChain }
 This enum represents the web taper types for the bend taper. More...
 

Properties

unsafe NXOpen.Expression BendTaperAngle1 [get]
 Returns the bend taper angle1 More...
 
unsafe NXOpen.Expression BendTaperAngle2 [get]
 Returns the bend taper angle2 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperInputMethod 
BendTaperInputMethod1 [get, set]
 Returns or sets the input method for side 1 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperInputMethod 
BendTaperInputMethod2 [get, set]
 Returns or sets the input method for side 2 More...
 
unsafe NXOpen.ScCollector BendTaperSelectBendFace [get]
 Returns the bend taper select bend face. More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperType 
BendTaperType1 [get, set]
 Returns or sets the bend taper type for Side 1 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperType 
BendTaperType2 [get, set]
 Returns or sets the bend taper type for Side 2 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.ChainingType 
Chaining [get, set]
 Returns or sets the chaining More...
 
unsafe NXOpen.Expression EndRadius1 [get]
 Returns the end radius for side 1 More...
 
unsafe NXOpen.Expression EndRadius2 [get]
 Returns the end radius for side 2 More...
 
unsafe bool InferRadius1 [get, set]
 Returns or sets the infer radius flag for side 1 More...
 
unsafe bool InferRadius2 [get, set]
 Returns or sets the infer radius flag for side 2 More...
 
unsafe bool ReverseTaperDirection [get, set]
 Returns or sets the flag indication the reverse taper direction More...
 
unsafe NXOpen.Expression StartRadius1 [get]
 Returns the start radius for side 1 More...
 
unsafe NXOpen.Expression StartRadius2 [get]
 Returns the start radius for side 2 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.StartType 
StartType1 [get, set]
 Returns or sets the start type for side 1 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.StartType 
StartType2 [get, set]
 Returns or sets the start type for side 2 More...
 
unsafe NXOpen.NXObject StationaryEntity [get, set]
 Returns or sets the stationary entity, can be an edge or a face. More...
 
unsafe NXOpen.Expression TaperDistance1 [get]
 Returns the taper distance for side 1 More...
 
unsafe NXOpen.Expression TaperDistance2 [get]
 Returns the taper distance for side 2 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperSides 
TaperSides [get, set]
 Returns or sets the taper sides More...
 
unsafe NXOpen.Expression WebTaperAngle1 [get]
 Returns the web taper angle1 More...
 
unsafe NXOpen.Expression WebTaperAngle2 [get]
 Returns the web taper angle2 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperType 
WebTaperType1 [get, set]
 Returns or sets the web taper type for side 1 More...
 
unsafe
NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperType 
WebTaperType2 [get, set]
 Returns or sets the web taper type for side 2 More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Bend Taper feature builder

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateBendTaperBuilder

Default values.

Property Value

BendTaperAngle1.Value

10

BendTaperAngle2.Value

10

BendTaperInputMethod1

Angle

BendTaperInputMethod2

Angle

BendTaperType1

Linear

BendTaperType2

Linear

Chaining (deprecated)

BendOnly

EndRadius1.Value

2 (millimeters part), 0.1 (inches part)

EndRadius2.Value

2 (millimeters part), 0.1 (inches part)

InferRadius1

1

InferRadius2

1

StartRadius1.Value

2 (millimeters part), 0.1 (inches part)

StartRadius2.Value

2 (millimeters part), 0.1 (inches part)

StartType1

TaperFromBend

StartType2

TaperFromBend

TaperDistance1.Value

5.0 (millimeters part), 0.3 (inches part)

TaperDistance2.Value

5.0 (millimeters part), 0.3 (inches part)

TaperSides

Both

WebTaperAngle1.Value

0

WebTaperAngle2.Value

0

WebTaperType1

None

WebTaperType2

None

Created in NX6.0.0

Member Enumeration Documentation

This enum represents the input methods for the bend taper.

Enumerator
Angle 

Angle

Distance 

Distance

ToEnd 

To End

This enum represents the taper sides options for the bend taper.

Enumerator
Both 

Both Sides

Side1 

Side 1 only

Side2 

Side 2 only

Symmetric 

Symmetric.

Side 1 = Side 2

This enum represents the bend taper types for the bend taper.

Enumerator
Linear 

Linear

Tangent 

Tangent

Square 

Square

This enum represents the chaining options for the bend taper.

Enumerator
BendOnly 

Bend Only

BendFace 

Bend and Face

BendFaceChain 

Bend and Face Chain

This enum represents the start types for the bend taper.

Enumerator
TaperFromBend 

Taper from Bend

TaperFromWeb 

Taper from Web

This enum represents the web taper types for the bend taper.

Enumerator
None 

None

Face 

Face

FaceChain 

Face Chain

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperAngle1
get

Returns the bend taper angle1

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperAngle2
get

Returns the bend taper angle2

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperInputMethod NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperInputMethod1
getset

Returns or sets the input method for side 1

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperInputMethod NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperInputMethod2
getset

Returns or sets the input method for side 2

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperSelectBendFace
get

Returns the bend taper select bend face.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperType NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperType1
getset

Returns or sets the bend taper type for Side 1

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperType NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperType2
getset

Returns or sets the bend taper type for Side 2

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.ChainingType NXOpen.Features.SheetMetal.BendTaperBuilder.Chaining
getset

Returns or sets the chaining

Created in NX6.0.0

Deprecated in NX8.5.0. Use WebTaperType1 and WebTaperType2 instead.

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.EndRadius1
get

Returns the end radius for side 1

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.EndRadius2
get

Returns the end radius for side 2

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.BendTaperBuilder.InferRadius1
getset

Returns or sets the infer radius flag for side 1

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.BendTaperBuilder.InferRadius2
getset

Returns or sets the infer radius flag for side 2

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.BendTaperBuilder.ReverseTaperDirection
getset

Returns or sets the flag indication the reverse taper direction

Created in NX6.0.0

Deprecated in NX10.0.0. Use StationaryEntity instead.

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.StartRadius1
get

Returns the start radius for side 1

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.StartRadius2
get

Returns the start radius for side 2

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.StartType NXOpen.Features.SheetMetal.BendTaperBuilder.StartType1
getset

Returns or sets the start type for side 1

Created in NX10.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.StartType NXOpen.Features.SheetMetal.BendTaperBuilder.StartType2
getset

Returns or sets the start type for side 2

Created in NX10.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.NXObject NXOpen.Features.SheetMetal.BendTaperBuilder.StationaryEntity
getset

Returns or sets the stationary entity, can be an edge or a face.

Created in NX6.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.TaperDistance1
get

Returns the taper distance for side 1

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.TaperDistance2
get

Returns the taper distance for side 2

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.BendTaperSides NXOpen.Features.SheetMetal.BendTaperBuilder.TaperSides
getset

Returns or sets the taper sides

Created in NX6.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperAngle1
get

Returns the web taper angle1

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperAngle2
get

Returns the web taper angle2

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperType NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperType1
getset

Returns or sets the web taper type for side 1

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperType NXOpen.Features.SheetMetal.BendTaperBuilder.WebTaperType2
getset

Returns or sets the web taper type for side 2

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.